/**
 *
 */
package de.intevation.gnv.artifacts.fis.product;

import java.util.Collection;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.gnv.transition.InputData;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultProduct implements Product {

    private String name = null;
    
    private Collection<InputData> parameter = null;
    
    private ArtifactFactory artifactFactory = null;
    

    /**
     * Constructor
     * @param name
     * @param parameter
     * @param artifactFactory
     */
    public DefaultProduct(String name, Collection<InputData> parameter, ArtifactFactory artifactFactory) {
        super();
        this.name = name;
        this.parameter = parameter;
        this.artifactFactory = artifactFactory;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getParameter()
     */
    public Collection<InputData> getParameter() {
        return this.parameter;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getArtifactFactory()
     */
    public ArtifactFactory getArtifactFactory() {
        return this.artifactFactory;
    }

}
